%bcond_with krun
%bcond_with wasm

Summary: OCI runtime written in C
Name:    crun
Version: 1.14.4
Release: 1%{?dist}
License: GPLv2+
URL:     https://github.com/containers/%{name}
Source0: %{url}/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildRequires: autoconf automake go-md2man libtool gcc git-core
BuildRequires: python3 libcap-devel systemd-devel yajl-devel libseccomp-devel
BuildRequires: libselinux-devel python3-libmount make glibc-static protobuf-c-devel criu-devel
%if %{with krun}
BuildRequires: libkrun-devel
%endif
%if %{with wasm}
BuildRequires: wasmedge-devel
%endif
Requires: criu
Provides: oci-runtime
ExclusiveArch: %{golang_arches}

%description
%{name} is a runtime for running OCI containers

%if %{with krun}
%package krun
Summary: OCI Runtime providing Virtualization-based process isolation capabilities.
Requires: %{name} = %{version}-%{release} libkrun
Provides: krun

%description krun
%{name}-krun OCI Runtime providing Virtualization-based process isolation capabilities.
%endif

%if %{with wasm}
%package wasm
Summary: wasm support for %{name}
Requires: %{name} = %{version}-%{release} wasm-library
Recommends: wasmedge

%description wasm
%{name}-wasm provides %{name} built with wasm support
%endif

%prep
%autosetup -Sgit %{name}-%{version}

%build
./autogen.sh
%configure \
    --disable-silent-rules \
%if %{with krun}
    --with-libkrun \
%endif
%if %{with wasm}
    --with-wasmedge \
%endif
    %{nil}

%make_build

%install
%make_install
rm -rf %{buildroot}%{_prefix}/lib*
%if %{with krun}
ln -s ../bin/%{name} %{buildroot}%{_bindir}/krun
%endif

%if %{with wasm}
ln -s ../bin/%{name} %{buildroot}%{_bindir}/%{name}-wasm
%endif

%files
%license COPYING
%{_bindir}/%{name}
%{_mandir}/man1/*

%if %{with krun}
%files krun
%{_bindir}/krun
%endif

%if %{with wasm}
%files wasm
%{_bindir}/%{name}-wasm
%endif

%changelog
* Mon Mar 18 2024 jackeyji <jackeyji@tencent.com> - 1.14.4-1
- Upgrade to 1.14.4 to adapt podman

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.8.5-2
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Jun 21 2023 kianli <kianli@tencent.com> - 1.8.5-1
- Upgrade to 1.8.5

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.7-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.7-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Mar 9 2023 Shuo Wang <abushwang@tencent.com> - 1.7-1
- initial build
